/*  KRunning
 *  Copyright (C) 1998 Andreas Scherf
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef EVALUATE_H
#define EVALUATE_H
void            create_evaluate_dialog (void);
void            evaluate_all_entrys (void);

typedef struct
{
  guint           runner_number;
  guint           place_total;
  guint           place_class;
  guint           place_sex;
  guint           place_team;
  guint           place_nation;
  gint            run_number;
}
evaluate_entrys;

typedef struct
{
  gchar          *klasse;
  guint           age_count;
}
classcount;

typedef struct
{
  guint           teamnumber;
  guint           team_count;
}
teamcount;


gint            get_classlist_length (GList * list);
GList          *classlist_find (GList * list, gpointer data);
GList          *teamlist_find (GList * list, gpointer data);
void            classcount_clear (classcount * count);

#endif /* EVALUATE_H */
