/*  KRunning
 *  Copyright (C) 1998/99 Andreas Scherf
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef CLASSTEAMPRINT_H
#define CLASSTEAMPRINT_H
#include <gtk/gtk.h>

#define TEAMSIZE 3


void            create_classtresult_dialog (void);

typedef struct _KTeamCount KTeamCount;
typedef struct _KClassCount KClassCount;
typedef struct _KRunnerNames KRunnerNames;

struct _KClassCount
{
  gint            runner;
  gchar          *vorname;
  gchar          *name;
  gint            geb_jahr;
  gchar          *verein;
  guint32         time;
};

struct _KTeamCount
{
  gint            team;
  gchar          *teamname;
  gint            teamnumber;
  gint            runner[TEAMSIZE];
  guint32         time;
  gint            counter;
};

struct _KRunnerNames
{
  gint            number;
  gchar          *first_name;
  gchar          *last_name;
  gint            birthday;
  guint32         time_seconds;
};

KRunnerNames   *create_runner (gint number, gchar * last_name, gchar * first_name, gint birthday, guint seconds);
void            clear_runner (KRunnerNames * runner);
GList          *runner_find (GList * list, gint number);
#endif /* CLASSTEAMPRINT_H */
